#  session log frame
#    sl.tcl

#  Aug 16 1995  VP   TK migration
# Mon Aug 17 16:08:42 BST 1992, DB
#  made the frame's :galley use 512K memory backed file

set frame SL
set frametitle "Session Log"
set icontitle "SessionLog"

proc make-frame {} {
   global env

set rows 6
set cols 90

  :frame [self frame-name] :label "[self frame-title]" :show-footer F :win-ctrl N  \
     :icon-name "[self icon-title]" \
     :icon-image "@$env(ICONHOME)/sys-log"

  :panel P1 :layout V :padx 20
    :layout H; :col-gap 20
#    :button SAVE  :image [file join $env(ICONHOME) save.gif]
#    :button PRINT :image [file join $env(ICONHOME) print.gif]
#    :button CLEAR :image [file join $env(ICONHOME) erase.gif]  :command ":modify LIST :empty T"
     :button SAVE
     :button PRINT
     :button CLEAR :command ":modify LIST :empty T"
  :panel P2 :layout V
    :galley LIST :rows $rows :cols $cols :deaf T  :font variable

  open-frame

  :galley_size LIST $rows $cols

  position-frame 250 24
}

proc click-configure {W} {:galley_resize LIST}

proc click-quit {args} {frame-close [self frame-name]}
proc frame-quit {args} {frame-close [self frame-name]}

proc click-save  {} {midas-browser W midas-save-window [:path LIST].text}
proc click-print {} {midas-print-window [:path LIST].text}

proc insert str {
   :modify LIST :strings $str\n
   open-frame
}

proc start args {
   global started env frametitle
   if {$started == 0} then {
     if {[info exists env(MIDASSessionName)]} {set frametitle "Session Log for $env(MIDASSessionName)"}
     make-frame
     set started 1
     insert "Session started on [date]"
   }
   open-frame
}
